## com.google.javascript.jscomp
Class SimpleRegion

    java.lang.Object
      com.google.javascript.jscomp.SimpleRegion

All Implemented Interfaces:
  Region

    public class SimpleRegion

extends Object
implements Region

Simple region.

Constructor Summary
`SimpleRegion(int beginningLineNumber, int endingLineNumber, String source)`

Method Summary
`int` | `getBeginningLineNumber()` Get the beginning line number.
`int` | `getEndingLineNumber()` Get the ending line number.
`String` | `getSourceExcerpt()` Get the source region.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleRegion

    public SimpleRegion(int beginningLineNumber,
                        int endingLineNumber,
                        String source)

Method Detail

### getBeginningLineNumber

    public int getBeginningLineNumber()

  Description copied from interface: `Region`
  Get the beginning line number.

  Specified by:
    `getBeginningLineNumber` in interface `Region`

### getEndingLineNumber

    public int getEndingLineNumber()

  Description copied from interface: `Region`
  Get the ending line number.

  Specified by:
    `getEndingLineNumber` in interface `Region`

### getSourceExcerpt

    public String getSourceExcerpt()

  Description copied from interface: `Region`
  Get the source region.

  Specified by:
    `getSourceExcerpt` in interface `Region`